dependencies - ربمليب(فيلدجيستس) خطأ الاعتماد على سوز




rpm yum (2)

القيام بتثبيت يم-3.6.0 على كل من سوس 11.2 (64 بت) و سينتوس 5.8 (64 بت) برزت خطأ متطلبات التثبيت التالية:

error: Failed dependencies:
    rpmlib(FileDigests) <= 4.6.0-1 is needed by A-3.6.0-1.noarch
    rpmlib(PayloadIsXz) <= 4.6.0-1 is needed by A-3.6.0-1.noarch
    which is needed by A-3.6.0-1.noarch

يوضح غوغلينغ الخطأ أن الآخرين قد واجهت هذه المشكلة على سوس و سينتوس، ولكن أنا غير قادر على إيجاد حل للمشكلة. لا أحد يعرف أين أنا قد تجد رمبميب رم التي يمكن تحميل ودورة في الدقيقة -i ؟ أو هل هناك سوس و / أو حل سينتوس؟ أو عنوان ورل إلى حيث يعيش مصدر ربمليب وأنا سوف سوس و سينتوس الحزمة.


تم بناء الحزمة الخاصة بك مع إصدار أحدث من ربمليب من لديك على أنظمة سينتوس و سوز، واحد الذي لديه دعم شز (متوفر في سينتوس 6 ويفترض أن بعض أحدث نسخة من سوز).

لا تحاول الحصول على النظام الخاص بك "الثابتة" لهذا سوف يكاد يكون من المؤكد مجرد كسر شيء.

العثور على حزمة مناسبة لتوزيعات بدلا من ذلك.


الإجابة التي نشرت هنا قد تساعدك أيضا. لديك فقط لتوفير بعض المعلمات إما على سطر الأوامر أو عن طريق تعديل إما ملف وحدات الماكرو العالمية أو المحلية على النظام الخاص بك:

%_binary_payload    w9.gzdio
%_binary_filedigest_algorithm   1

على ما يبدو، كما أنا بالتفصيل في جوابي على السؤال الآخر، ملف وحدات الماكرو الأسهم التي تقدمها ريضهات يدعي أن هذه المعلمات هي الافتراضات، ولكن إذا كان هذا هو الحال، لم يكن لديك للتعليق عليها للحصول عليها.